import * as ColumnTypes from '../utilities/ColumnTypes'

const Operation: ColumnTypes.Model = {
  modelName: 'Operation',
  tableName: 'operations',
  options: {
    timestamps: false,
  },
  attributes: {
    id: {
      allowNull: true,
      primaryKey: true,
      type: ColumnTypes.INTEGER,
    },
    name: {
      allowNull: false,
      type: ColumnTypes.STRING,
    },
  }
}

export default Operation
