import Operation from './services/Operation'

export default {
  'operations': (
    Object
      .entries(Operation)
      .filter(([, value]) => !isNaN(Number(value)))
      .map(([name, id]) => ({
        id: Number(id),
        name,
      }))
  ),
}
